Method: domains.users.create

Creates a user, who has access to a domain. Returns INVALID_ARGUMENT if a user is not provided.

HTTP request

POST https://gmailpostmastertools.googleapis.com/v2beta/{parent=domains/*}/users

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource where this user will be created. Format: domains/{domain}

Request body

The request body contains data with the following structure:

JSON representation
{
  "userId": string,
  "permission": enum (Permission)
}
Fields
userId

string

Required. The user to create.

permission

enum (Permission)

Optional. Specifies the permission level to give the user for the specified domain. If not specified, the default value for this field is READER.

Response body

If successful, the response body contains a newly created instance of User.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/postmaster
  • https://www.googleapis.com/auth/postmaster.user

For more information, see the Authorization guide.